import sys
# append the path of the parent directory
sys.path.append("..")

from run import run
from parser import parser

# Parse arguments
args = parser.parse_args()

if not(args.pre_beta is None):
    args.beta = args.pre_beta/10 - 1

# for nl in range(1, 11):
#     args.num_layers = nl
# for b in range(12):
#     args.beta=b/10-1
# for s in [3, 4, 5]:
#     args.seed=s
#     run(args)

run(args)